import java.awt.*;
import java.awt.font.*;
import javax.swing.*;
import java.awt.geom.Line2D;

public class LineMetricsExample extends JPanel{
  public void paint(Graphics g) {
    Graphics2D g2d = (Graphics2D) g;
	Font font = new Font("Monotype Corsiva", Font.PLAIN, 30);
    g2d.setFont(font);
    String text = "Java is an Object Oriented Programming Language";
    float x = 40, y = 70;

    FontRenderContext fontRenderContext = g2d.getFontRenderContext();
    float width = (float) font.getStringBounds(text, fontRenderContext).getWidth();
    Line2D line1 = new Line2D.Float(x, y, x + width, y);
    g2d.setPaint(Color.blue);
    g2d.draw(line1);

    LineMetrics lineMetrics = font.getLineMetrics(text, fontRenderContext);
    Line2D line2 = new Line2D.Float(x, y - lineMetrics.getAscent(), x + width, y
        - lineMetrics.getAscent());
    g2d.draw(line2);
    g2d.setPaint(Color.black);
    g2d.drawString(text, x, y);
  }
  public static void main(String[] args) {
    JFrame frame = new JFrame("Layout text along a line");
    frame.getContentPane().add(new LineMetricsExample());
    frame.setSize(600, 200);
    frame.show();
    }
}